### Function

# Clutter Canvas new

#### Declaration [src]

    ClutterContent*
    clutter_canvas_new (
      void
    )

#### Description [src]

Creates a new instance of `ClutterCanvas`.

You should call `clutter_canvas_set_size()` to set the size of the canvas.

You should call `clutter_content_invalidate()` every time you wish to draw the contents of the canvas.

#### Return value

Type: `ClutterContent`

The newly allocated instance of `ClutterCanvas`. Use `g_object_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.